Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl
Class SingleBenchmarkRunner

    java.lang.Object
      org.optaplanner.benchmark.impl.SingleBenchmarkRunner

All Implemented Interfaces:
  Callable<SingleBenchmarkRunner>

    public class SingleBenchmarkRunner

extends Object
implements Callable<SingleBenchmarkRunner>

Field Summary
`protected org.slf4j.Logger` | `logger`
`static String` | `NAME_MDC`

Constructor Summary
`SingleBenchmarkRunner(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`SingleBenchmarkRunner` | `call()`
`Throwable` | `getFailureThrowable()`
`String` | `getName()`
`SingleBenchmarkResult` | `getSingleBenchmarkResult()`
`void` | `setFailureThrowable(Throwable failureThrowable)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_MDC

    public static final String NAME_MDC

See Also:
  Constant Field Values

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### SingleBenchmarkRunner

    public SingleBenchmarkRunner(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getSingleBenchmarkResult

    public SingleBenchmarkResult getSingleBenchmarkResult()

### getFailureThrowable

    public Throwable getFailureThrowable()

### setFailureThrowable

    public void setFailureThrowable(Throwable failureThrowable)

### call

    public SingleBenchmarkRunner call()

  Specified by:
    `call` in interface `Callable<SingleBenchmarkRunner>`

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.